<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ViewItemsTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputText value="#{bundle.ViewItemsLabel_itemId}"/>
                    <h:outputText value="#{itemsController.selected.itemId}" title="#{bundle.ViewItemsTitle_itemId}"/>
                    <h:outputText value="#{bundle.ViewItemsLabel_itemNombre}"/>
                    <h:outputText value="#{itemsController.selected.itemNombre}" title="#{bundle.ViewItemsTitle_itemNombre}"/>
                    <h:outputText value="#{bundle.ViewItemsLabel_itemCodigo}"/>
                    <h:outputText value="#{itemsController.selected.itemCodigo}" title="#{bundle.ViewItemsTitle_itemCodigo}"/>
                    <h:outputText value="#{bundle.ViewItemsLabel_itemInventarioId}"/>
                    <h:outputText value="#{itemsController.selected.itemInventarioId}" title="#{bundle.ViewItemsTitle_itemInventarioId}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{itemsController.destroyAndView}" value="#{bundle.ViewItemsDestroyLink}"/>
                <br />
                <br />
                <h:link outcome="Edit" value="#{bundle.ViewItemsEditLink}"/>
                <br />
                <h:commandLink action="#{itemsController.prepareCreate}" value="#{bundle.ViewItemsCreateLink}" />
                <br />
                <h:commandLink action="#{itemsController.prepareList}" value="#{bundle.ViewItemsShowAllLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ViewItemsIndexLink}"/>

            </h:form>
        </ui:define>
    </ui:composition>

</html>
